typedef struct {
         char	id[2];
unsigned char	vol;
unsigned char	vol_id;
unsigned char	ver;
unsigned char	den;
unsigned char	drive;
unsigned char	trk_den;
unsigned char	dos;
unsigned char	sides;
unsigned short	crc;
} TD_IMGHDR;

typedef struct {
unsigned short	crc;
unsigned short  size;
unsigned char	year;
unsigned char	month;
unsigned char	day;
unsigned char	hour;
unsigned char	min;
unsigned char	sec;
         char   text[0x248];
} TD_INFOHDR;

typedef struct {
unsigned char	n;
unsigned char	c;
unsigned char	h;
unsigned char	crc;
} TD_TRKHDR;

typedef struct {
unsigned char	c;
unsigned char	h;
unsigned char	r;
unsigned char	n;
unsigned char	flag;
unsigned char	crc;
} TD_SECHDR;

/* publics from td_utils */

#define _LZ_V2_DATABUFFER_SIZE 0x3480
extern void * lz_v2_databuffer;

void _cdecl lz_v2_init(int _cdecl(*)(int), int);
int _cdecl lz_v2_read(void *, unsigned short);


unsigned short _cdecl td_crc_count(void *, unsigned short);
int _cdecl td_unpack_trk_data(void *, void *, int *);
